Subject: Re[2]: unstriped PE executables contain data from the import library after the end of the last section - is this correct ?
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Date: Tue, 9 Jul 2002 17:41:52 +0200

Hello Charles,

Tuesday, July 09, 2002, 5:22:02 PM, you wrote:

CW> Pavel Tsekov wrote:

>> PT> Now since my initial post I tried to find what this data is and it
>> PT> seems that it is the output of the functions make_one() and friends
>> PT> from ld/pe-dll.c. Now my question is - what is the purpose of having
>> PT> this data from the import library, appended to the executable itself ?
>> PT> Is this correct ?
>> 
>> I was advised to post to the binutils and/or cygwin ml, when I
>> initially posted on cygwin-apps.  Now, it seems that neither binutils
>> people, nor anyone on cygwin is interested to answer this question.
>> 
>> Is the answer really that obvious so noone cares to answer ?

CW> It's apparent that no one KNOWS the answer.  I'd have to hunt thru the 
CW> binutils code to answer your question.  But it's your question -- you 
CW> hunt thru the code.

Thanks! :) As for looking at the code  - I would (and I've actually done
so), but some pointers would be appreciated. I'e where is the code
that reads the import library ? I need function names to start with...

I suspect, that this data is some kind of temporary storage,
which is used when import libraries are read and it is dumped
along with the executable when writing it to disk... IMO, this
doesn't seem to be correct - unfortunately noone confirm or denies it
;) Does this sound plausible ? Well I guess I'll have to find out by myself :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/